Bug 120418 - likeauth option to pam_unix.so not documented.
Summary: likeauth option to pam_unix.so not documented.
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: pam   
(Show other bugs)
Version: 3.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-04-08 16:14 UTC by Björn Augustsson
Modified: 2015-01-08 00:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-08 13:49:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Björn Augustsson 2004-04-08 16:14:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7b)
Gecko/20040317

Description of problem:
the /etc/pam.d/system-auth file as generated by authconfig can
(perhaps it always does) contain the option likeauth to pam_unix.so.
That option is not documented anywhere that I could find.

There is no man page for pam_unix (which is really a bug in itself),
but there is some information in
/usr/share/doc/pam-0.75/txts/README.pam_unix. Not about likeauth though.




Version-Release number of selected component (if applicable):
pam-0.75-51

How reproducible:
Always

Steps to Reproduce:
1. man pam_unix
2. man pam_unix.so
3. get coffee
    

Actual Results:  Nothing.

Expected Results:  I should have been enlightened.

Additional info:

Comment 1 Kenneth Porter 2004-09-28 17:17:36 UTC
Some info here on the PAM mailing list:

http://www.spinics.net/lists/pam/msg03533.html

Comment 2 Tomas Mraz 2005-04-08 13:49:11 UTC
Actually this option is not useful and was necessary only in older PAM. It
shouldn't be used by default but it does no harm if used.



Note You need to log in before you can comment on or make changes to this bug.